Subject: Re: [PATCH 2/2] refs/files: use heuristic to decide whether to repack with `--auto`

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Sep 2024 11:23:12 -0700

Patrick Steinhardt <[email-masked]> writes:

> I also noticed `log2i()`, but honestly the only reason why I didn't
> reuse it is that I had no clue where to put it. There isn't any header
> that would be a good fit for it, and creating a new "math.h" header for
> a single function felt overblown to me. So I decided to just not bother.
> I'm happy to adjust though if somebody has a suggestion for where to put
> it.

Given the existing contents of wrapper.h (near the end of the file),
I think wrapper.c would be a good place to do so.

Shouldn't this essentially be a call to ffs() with the argument
tweaked, by the way?